Table of Contents

Module: service | Twisted-0.19.0/twisted/manhole/service.py
--- | ---
Imported modules |
--- | ---
from cStringIO import StringIO import copy import explorer import operator import string import sys import traceback from twisted import copyright from twisted.python import log from twisted.spread import pb import types
Functions |
runInConsole
| runInConsole
    runInConsole (
            command,
            console,
            globalNS=None,
            localNS=None,
            filename=None,
            args=None,
            kw=None,
            )
### Run this, directing all output to the specified console. If command is callable, it will be called with the args and keywords provided. Otherwise, command will be compiled and eval'd. (Wouldn't you like a macro?) Returns the command's return value. The console is called with a list of (type, message) pairs for display, see ManholeClientInterface.console.
Exceptions |
--- | ---
ValueError( "Need a namespace to evaluate the command in." )
Classes |
FakeStdIO |
ManholeClientInterface |
Perspective |
Service |

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:50 2002 by HappyDoc version 2.0